cURL
curl --request GET \
--url https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/balance \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/balance"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletAddress": "0x254075bb012e4afb1787e98cd082ce6abd1ad01b",
"tokens": [
{
"chain": "Polygon",
"contractAddress": null,
"symbol": "POL",
"decimals": 18,
"name": "POL (Polygon)",
"balanceRaw": "4954460068259115943000",
"balance": 4.954460068259116,
"usdValue": 1.2401013550852569
},
{
"chain": "Polygon",
"contractAddress": "0x162539172b53e9a93b7d98fb6c41682de558a320",
"symbol": "GONE",
"decimals": 18,
"name": "GONE (Polygon)",
"balanceRaw": "4990000000000000000000",
"balance": 4990,
"usdValue": 0.0105289
}
]
}Wallets
Get Balance
Get shared tipping wallet token balance on a given chain
GET
/
v1
/
community
/
tipping
/
wallets
/
{chain}
/
balance
cURL
Headers
Your community API key
Path Parameters
Supported blockchain key
Available options:
Abstract, ApeChain, Arbitrum, Atto, Avalanche, Base, Berachain, Blast, BSC, CosmosHub, Cronos, Ethereum, Harmony, HyperCore, HyperEvm, Initia, Injective, Linea, Mitosis, Nano, Nibiru, Optimism, Osmosis, Pepecoin, Plasma, Polygon, Robinhood, SEDA, Sei, SeiEvm, Solana, Somnia, Sonic, Terra, Unichain, Yominet ⌘I